WARNING - OLD ARCHIVES

This is an archived copy of the Xen.org mailing list, which we have preserved to ensure that existing links to archives are not broken. The live archive, which contains the latest emails, can be found at http://lists.xen.org/
   
 
 
Xen 
 
Home Products Support Community News
 
   
 

xen-devel

Re: [Xen-devel] [PATCH] Clean up unmodified_drivers mkbuildtree script

To: "Keir Fraser" <Keir.Fraser@xxxxxxxxxxxx>
Subject: Re: [Xen-devel] [PATCH] Clean up unmodified_drivers mkbuildtree script
From: "Travis Betak" <travis.betak@xxxxxxx>
Date: Tue, 5 Sep 2006 13:37:38 -0500 (CDT)
Cc: xen-devel@xxxxxxxxxxxxxxxxxxx
Delivery-date: Tue, 05 Sep 2006 11:38:14 -0700
Envelope-to: www-data@xxxxxxxxxxxxxxxxxx
In-reply-to: <C11F584F.2240%Keir.Fraser@xxxxxxxxxxxx>
List-help: <mailto:xen-devel-request@lists.xensource.com?subject=help>
List-id: Xen developer discussion <xen-devel.lists.xensource.com>
List-post: <mailto:xen-devel@lists.xensource.com>
List-subscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=subscribe>
List-unsubscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=unsubscribe>
References: <C11F584F.2240%Keir.Fraser@xxxxxxxxxxxx>
Sender: xen-devel-bounces@xxxxxxxxxxxxxxxxxxx

On Sat, 2 Sep 2006, Keir Fraser wrote:


On 1/9/06 10:04 pm, "Travis Betak" <travis.betak@xxxxxxx> wrote:

The current mkbuildtree script uses `uname -m` when linking the
directories from the xen-sparse directory to unmodified_drivers.  This
doesn't work out well if you are building 32-bit modules on a 64-bit
system.

This patch makes the architecture to be linked against a command line
option -- currently i386 or x86_64.  It also cleans up the indentation a
bit.

Any comments?  Better ideas?

Default to `uname -m` if no argument is provided to the script, and print a
message to explain that this is what you are doing.

Keir,

Here's an updated patch that now includes your suggestion for defaulting
to `uname -m` when no argument is passed to the script along with a
statement about defaulting.

Signed-off-by: Travis Betak <travis.betak@xxxxxxx>

---

diff -r 2d8d6ce64454 unmodified_drivers/linux-2.6/mkbuildtree
--- a/unmodified_drivers/linux-2.6/mkbuildtree  Tue Sep 05 06:14:31 2006 -0700
+++ b/unmodified_drivers/linux-2.6/mkbuildtree  Tue Sep 05 13:36:16 2006 -0500
@@ -1,4 +1,12 @@
 #! /bin/sh
+
+if [ $1 ]; then
+    uname="$1"
+else
+    uname=`uname -m`
+    echo "Defaulting to this machine's architecture, $uname, for linking."
+    echo "This may be overridden with a command line argument (i386 or 
x86_64)."
+fi

 C=$PWD

@@ -26,24 +34,23 @@ ln -sf ${XEN}/include/public include/xen
 # Need to be quite careful here: we don't want the files we link in to
 # risk overriding the native Linux ones (in particular, system.h must
 # be native and not xenolinux).
-uname=`uname -m`
 case "$uname"
 in
 "x86_64")
-       ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypervisor.h include/asm
-       ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypercall.h include/asm
-       ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/synch_bitops.h include/asm
-       ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/maddr.h include/asm
-       ln -sf ${XL}/include/asm-i386 include/asm-i386
-       ;;
+    ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypervisor.h include/asm
+    ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/hypercall.h include/asm
+    ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/synch_bitops.h include/asm
+    ln -sf ${XL}/include/asm-x86_64/mach-xen/asm/maddr.h include/asm
+    ln -sf ${XL}/include/asm-i386 include/asm-i386
+    ;;
 i[34567]86)
-       ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypervisor.h include/asm
-       ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypercall.h include/asm
-       ln -sf ${XL}/include/asm-i386/mach-xen/asm/synch_bitops.h include/asm
-       ln -sf ${XL}/include/asm-i386/mach-xen/asm/maddr.h include/asm
-       ;;
+    ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypervisor.h include/asm
+    ln -sf ${XL}/include/asm-i386/mach-xen/asm/hypercall.h include/asm
+    ln -sf ${XL}/include/asm-i386/mach-xen/asm/synch_bitops.h include/asm
+    ln -sf ${XL}/include/asm-i386/mach-xen/asm/maddr.h include/asm
+    ;;
 *)
-       echo unknown architecture $uname
-       exit 1
-       ;;
+    echo "unknown architecture $uname, only i386 and x86_64 are supported"
+    exit 1
+    ;;
 esac



_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel